tbb::internal::padded_base< T, S, R > Struct Template Reference

`#include <tbb_stddef.h>`

Inheritance diagram for tbb::internal::padded_base< T, S, R >:
Collaboration diagram for tbb::internal::padded_base< T, S, R >:

## Public Attributes

char | pad [S - R]

## Detailed Description

### template<class T, size_t S, size_t R>
struct tbb::internal::padded_base< T, S, R >

Definition at line 254 of file tbb_stddef.h.

## Member Data Documentation

## pad

template<class T , size_t S, size_t R>

char tbb::internal::padded_base< T, S, R >::pad[S - R]

Definition at line 255 of file tbb_stddef.h.

Referenced by tbb::internal::mail_outbox::construct().

The documentation for this struct was generated from the following file:

- tbb_stddef.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.